package eu.endmove.hi;

import eu.endmove.hi.model.Person;  // importing Person model

/**
 * Hi project
 * 
 * To show a bit example of java basics.
 */
public class Main {
    // Constants
    private static final String FIRST_NAME = "Jérémi";  // jeremi firstname as a constant (can't be edited during run)
    private static final String LAST_NAME = "Nihart";

    // Main function
    public static void main(String[] args) {
        Person jeremi = new Person(FIRST_NAME, LAST_NAME);  // create a jeremi person with main constructor
        Person unknown = new Person();  // create a unknown person with the constructor surcharge

        System.out.print("We use the toString() function on jeremi :\n==> ");
        System.out.println(jeremi.toString());  // debugging jeremi person with the overrided toString() function

        System.out.print("\nWe use the toString() function on unknown :\n==> ");
        System.out.println(unknown.toString());  // debugging unknown person with the overrided toString() function

        System.out.print("\nNow we will edit the firstName of the unknown person :\n==> ");
        unknown.setFirstName("Mon nouveau nom :-)");  // updating unknown person firstname
        System.out.println(unknown.toString());  // debugging unknown person with the overrided toString() function

        System.out.print("\nAnd now use the getHi() function with the jeremi full name :\n==> ");
        System.out.println(getHi(jeremi.getFullName()));  // call getfullname() into gethi() and display
    }

    // Hi function
    private static String getHi(String name) {
        return String.format("Hi %s ! How are you today ?", name);  // use a static string formatting util function available in String class
    }
}